import Router, {Response} from "express";
import {AuthenticatedRequest} from "../middlewares/authenticate";

const app = Router();

app.get("/@me", (req: AuthenticatedRequest, res: Response) => res.json({
    clientId: req.user.clientId, username: req.user.username, rank: req.user.rank, locale: req.user.locale,
    avatarId: req.user.avatarId
}));

module.exports = app;